# Should probably set this to a high enough number to allow
# the collections listener to be offline temporarily
# (default is only 100)
max_queued_messages 20000

# Make sure to age out dead clients, otherwise they accumulate forever
# this is a mosquitto specific feature
persistent_client_expiration 2m

# default listener only on localhost
bind_address 127.0.0.1
port 1883


# SSL listener
listener 8883

# Put in a host name here automatically? 
psk_hint rme_mq_dcc_8883
use_identity_as_username true
persistence true
persistence_location /var/lib/mosquitto/

# This may warrant review at some point
log_dest syslog
log_dest stderr

log_type error
log_type warning
log_type notice
log_type information


psk_file /etc/mosquitto/keypit.pskfile
acl_file /etc/mosquitto/rme.acl_file

